#
# spec file for package python-jaraco.itertools
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_with     test
Name:           python-jaraco.itertools
Version:        2.0.1
Release:        lp151.1.1
Summary:        Tools to work with iterables
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/jaraco/jaraco.itertools
Source0:        https://files.pythonhosted.org/packages/source/j/jaraco.itertools/jaraco.itertools-%{version}.tar.gz
BuildRequires:  %{python_module base}
BuildRequires:  %{python_module jaraco.base}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module setuptools_scm}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%if %{with test}
BuildRequires:  %{python_module inflect}
BuildRequires:  %{python_module more-itertools}
BuildRequires:  %{python_module pytest-runner}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module six}
%endif
Requires:       python-jaraco.base
Requires:       python-inflect
Requires:       python-more-itertools
Requires:       python-six
BuildArch:      noarch

%python_subpackages

%description
jaraco.itertools Tools for working with iterables.
Complements itertools and more_itertools.

%prep
%setup -q -n jaraco.itertools-%{version}
sed -i -e "s/'pytest_runner'/'pytest-runner'/" setup.py
rm -rf jaraco.itertools.egg-info

%build
%python_build

%install
%python_install
# We aren't using the nspkg approach anymore
%{python_expand rm -r %{buildroot}%{$python_sitelib}/jaraco.itertools-%{version}-py*-nspkg.pth
%fdupes %{buildroot}%{$python_sitelib}
}

%if %{with test}
%check
%python_expand py.test-%{$python_bin_suffix}
%endif

%files %{python_files}
%defattr(-,root,root)
%doc docs/*.rst README.rst CHANGES.rst
%{python_sitelib}/jaraco.itertools-%{version}-py*.egg-info
%{python_sitelib}/jaraco/itertools.py*
%pycache_only %{python_sitelib}/jaraco/__pycache__/itertools*.py*

%changelog
* Mon Nov 13 2017 toddrme2178@gmail.com
- Properly handle namespace package structure.
  This guarantees the module is importable.
* Tue Jul  4 2017 aloisio@gmx.com
- Update to version 2.0.1
  * Refresh package.
  2.0:
  * In ``always_iterable``, mappings are now considered
    singletons. It seems that the way ``always_iterable``
    is generally used, one wouldn't expect to only iterate
    on a mapping, but there are cases where a dictionary
    should behave like a singleton object.
  1.8:
  * Deprecated ``infiniteCall`` and replaced it with
    ``infinite_call`` which only takes a single argument
    (the function to call).
- Converted to single-spec
* Tue Aug  2 2016 sor.alexei@meowr.ru
- Switch to Python2.
* Thu Jun  9 2016 toddrme2178@gmail.com
- Remove unneeded python3-Sphinx dependency.
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Tue Dec 29 2015 arun@gmx.de
- specfile:
  * replace hgtools with setuptools_scm
  * update requiremenst according to setup.py
  * .txt -> *.rst in %%doc
- update to version 1.7.1:
  * Fix failing tests on Python 2.
* Sun Nov 22 2015 arun@gmx.de
- specfile:
  * fix typo in setup.py via sed command
- update to version 1.7:
  * Moved hosting to github.
- changes from version 1.6:
  * Releases now include wheels.
* Mon Nov  2 2015 toddrme2178@gmail.com
- Fix conflicts with other jaraco packages.
* Mon Nov  2 2015 toddrme2178@gmail.com
- Enable unit tests.
* Mon Nov  2 2015 toddrme2178@gmail.com
- Fix spec file name.
* Thu Oct 29 2015 arun@gmx.de
- update to version 1.5.1:
  * Peekable also accepts an iterable.
  * Fix test failure on Python 2
  * Added some doctests for bisect and corrected docstring to match
    implementation.
- change from version 1.5.0:
  * Add takewhile_peek function.
* Sat Aug  1 2015 arun@gmx.de
- specfile:
  * moved from zip to tar.gz
- update to version 1.4:
  * Add list_or_single function.
* Sun Mar  8 2015 arun@gmx.de
- update to version 1.3:
  * Add apply to apply a function to an iterable, but yield the original items.
* Sun Feb 22 2015 arun@gmx.de
- update to version 1.2:
  * Make pytest_runner and sphinx optionally required.
* Sat Feb 14 2015 arun@gmx.de
- initial version
